# BarcodeFormat enum

Enumerates barcode formats.

Inheritance
  - Object
  - Enum
  - BarcodeFormat
Available extensions
  - EnumName

## Values

NONE → const BarcodeFormat

  Used as a return value if no valid barcode has been detected.

AZTEC → const BarcodeFormat

  Aztec (2D).

CODABAR → const BarcodeFormat

  CODABAR (1D).

CODE_39 → const BarcodeFormat

  Code 39 (1D).

CODE_93 → const BarcodeFormat

  Code 93 (1D).

CODE_128 → const BarcodeFormat

  Code 128 (1D).

DATA_MATRIX → const BarcodeFormat

  Data Matrix (2D).

EAN_8 → const BarcodeFormat

  EAN-8 (1D).

EAN_13 → const BarcodeFormat

  EAN-13 (1D).

ITF → const BarcodeFormat

  ITF (Interleaved Two of Five) (1D).

MAXI_CODE → const BarcodeFormat

  MaxiCode (2D).

PDF_417 → const BarcodeFormat

  PDF417 (2D).

QR_CODE → const BarcodeFormat

  QR Code (2D).

DATABAR → const BarcodeFormat

  GS1 DataBar-14 (formerly RSS-14) (1D).

DATABAR_EXPANDED → const BarcodeFormat

  GS1 DataBar Expanded (formerly RSS Expanded) (1D).

UPC_A → const BarcodeFormat

  UPC-A (1D).

UPC_E → const BarcodeFormat

  UPC-E (1D).

MSI_PLESSEY → const BarcodeFormat

  MSI PLESSEY.

IATA_2_OF_5 → const BarcodeFormat

  IATA 2 of 5 (1D).

INDUSTRIAL_2_OF_5 → const BarcodeFormat

  INDUSTRIAL 2 of 5 (1D).

CODE_25 → const BarcodeFormat

  CODE 25 (1D).

MICRO_QR_CODE → const BarcodeFormat

  Micro QR Code (2D).

USPS_INTELLIGENT_MAIL → const BarcodeFormat

  USPS Intelligent Mail, a.k.a. USPS OneCode, USPS-STD-11.

ROYAL_MAIL → const BarcodeFormat

  Royal Mail Four-State Customer Code, a.k.a. RM4SCC, CBC, BPO 4 State Code.

JAPAN_POST → const BarcodeFormat

  Japan Post Four-State Barcode.

ROYAL_TNT_POST → const BarcodeFormat

  Royal TNT Post Four-State Barcode, a.k.a. KIX, Klant IndeX.

AUSTRALIA_POST → const BarcodeFormat

  Australia Post Four-State Customer Code.

DATABAR_LIMITED → const BarcodeFormat

  GS1 DataBar Limited.

MICRO_PDF_417 → const BarcodeFormat

  Micro PDF417 (2D).

GS1_COMPOSITE → const BarcodeFormat

  GS1 COMPOSITE (combined linear and 2D).

RMQR_CODE → const BarcodeFormat

  Rectangular Micro QR Code (2D).

CODE_11 → const BarcodeFormat

  Code 11 (1D).

CODE_32 → const BarcodeFormat

  Code 32 (Italian Pharmacode) (1D).

PHARMA_CODE → const BarcodeFormat

  Pharmacode, a.k.a. One-Track Pharmacode, Pharmaceutical Binary Code (1D).

PHARMA_CODE_TWO_TRACK → const BarcodeFormat

  Two-Track Pharmacode, a.k.a. Pharmaceutical Binary Code.

PZN_7 → const BarcodeFormat

  PZN7, legacy PZN (Pharmazentralnummer), invalid since 01.01.2020 (1D).

PZN_8 → const BarcodeFormat

  PZN8, a.k.a. PZN, Pharmazentralnummer, German Pharmaceutical Central Number (1D).

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<BarcodeFormat>
  A constant List of the values in this enum, in order of their declaration.